Oracle Certified System Configurations - Java SE 6


Oracle has tested and certified the Java SE Development Kit 6 (JDK™) and the Java SE Runtime Environment 6 (JRE™) on the platforms listed on the table below.

Refer to the Supported Locales document for the supported writing systems (languages) for each platform. The JRE does not support all writing systems on all platforms.

Also refer to specific footnotes at the end of this table.


Hardware
Platform
Operating System Version Desktop Managers Browsers JRE™ JDK™
Solaris™ Operating System, 32-bit and 64-bit
Solaris SPARC (32) Solaris 11 Express 2010.11 Gnome 2.30.2 Firefox 3.x and above 32-bit Install 32-bit Install
Solaris 10 JDS-2 (Gnome-Metacity), CDE-dtwm Mozilla 1.7
Firefox 2.0.x
Solaris 9 Gnome-Metacity 2.4.34 or later
CDE-dtwm
Mozilla 1.4, 1.7
Solaris 8 CDE-dtwm, Openwin-olwm
Solaris SPARC (64) Solaris 11 Gnome 2.30.2 Firefox 3.x and above (see footnote) 32-bit or 64-bit Install,
(no Java Plug-in,
Java Web Start
support)
32-bit or 64-bit Install
Solaris 11 Express 2010.11 Gnome 2.30.2 Firefox 3.x and above
Solaris 10 JDS-Gnome-Metacity, CDE-dtwm Mozilla 1.7
Firefox 2.0.x
Solaris 9 Gnome-Metacity 2.4.34 or later, CDE Mozilla 1.4, 1.7
Solaris 8 CDE-dtwm, Openwin-olwm
Solaris x86
(32)
Solaris 11 Express 2010.11 Gnome 2.30.2 Firefox 3.x and above 32-bit Install 32-bit Install
Solaris 10 Gnome-Metacity, CDE Mozilla 1.7
Firefox 2.0.x
Solaris 9 Gnome-Metacity, CDE Mozilla 1.4, 1.7
Solaris 8 CDE, Openwin
OpenSolaris
(See footnote)
GNOME 2.24.0 Firefox 3.0.x
Solaris x64
(64)
Solaris 11 Gnome 2.30.2 Firefox 3.x and above (see footnote) 32-bit or 64-bit Install,
(no Java Plug-in,
Java Web Start
support)
32-bit or 64-bit Install
Solaris 11 Express 2010.11 Gnome 2.30.2 Firefox 3.x and above
Solaris 10 JDS-Gnome-Metacity Mozilla 1.7
Firefox 2.0.x
OpenSolaris
(See footnote)
GNOME 2.24.0 Firefox 3.0.x
Windows (32-bit)
Windows
x86
Windows 8.x Classic Desktop.  Modern UI (i.e. Metro Mode) is not supported Chrome,
IE 8.x or IE 9.x,
Firefox 3.x and above
(See footnote)
32-bit Install 32-bit Install
Windows 7 (SP1) Aero, Windows XP & Classic Desktop Chrome,
IE 8.x or IE 9.x,
Firefox 3.x and above
(See footnote)
Windows Vista (SP1,SP2) Aero, Windows XP & Classic Desktop Chrome,
IE 7.x or IE 8.x or IE 9.x,
Firefox 3.x and above
(See footnote)
Windows Server 2008 (SP1, SP2) Aero, Windows XP & Classic Desktop IE 7.x or IE 8.x or IE 9.x
Firefox 3.x and above
(See footnote)
Windows Web Server 2008 (SP1, SP2)
Windows 2000 (SP3, SP4) Windows Active & Classic Desktop IE 5.5.x or IE 6
Mozilla 1.4
Mozilla 1.7
Firefox 2.0.x
Windows Server 2003 (R2, SP1, SP2) Windows XP & Classic Desktop IE 7.x or IE 8.x,
Firefox 3.x and above
(See footnote)
Windows 64-bit
3 Windows
x64
Windows 8.x Classic Desktop.  Modern UI (i.e. Metro Mode) is not supported 64-bit OS, 32-bit Browsers:
Chrome, Firefox 3.x and above
64-bit OS, 64-bit Browsers:

IE 8.x or IE 9.x (See footnote)
32-bit or 64-bit Install 32-bit or 64-bit Install
Windows Server 2012 Aero, Windows XP & Classic Desktop 64-bit OS, 32-bit Browsers:
Chrome, Firefox 3.x and above
64-bit OS, 64-bit Browsers:

IE 8.x or IE 9.x (See footnote)
Windows Server 2012 R2 Aero, Windows XP & Classic Desktop 64-bit OS, 32-bit Browsers:
Chrome, Firefox 3.x and above
64-bit OS, 64-bit Browsers:

IE 8.x or IE 9.x (See footnote)
Windows 7  (SP1) Aero, Windows XP & Classic Desktop 64-bit OS, 32-bit Browsers:
Chrome, Firefox 3.x and above
64-bit OS, 64-bit Browsers:

IE 8.x or IE 9.x (See footnote)
Windows Server 2008 R2  (SP1) Aero, Windows XP & Classic Desktop 64-bit OS, 32-bit Browsers:
Firefox 3.x and above
64-bit OS, 64-bit Browsers:
IE 8.x or IE 9.x (See footnote)
Windows Web Server 2008 R2 (SP1)
Windows Vista (SP1, SP2) Aero, Windows XP & Classic Desktop 64-bit OS, 32-bit Browsers:
Chrome, Internet Explorer 6 SP1+ and later, Firefox 3.x and above,
Mozilla 1.4.X or 1.7,
Netscape 7.x
64-bit OS, 64-bit Browsers:

IE 7.x or IE 8.x or IE 9.x (See footnote)
Windows Server 2008 (SP1, SP2) Aero, Windows XP & Classic Desktop 64-bit OS, 32-bit Browsers:
IE 6 SP1+ and later, Firefox 3.x and above,
Mozilla 1.4.X or 1.7,
Netscape 7.x
64-bit OS, 64-bit Browsers:

IE 7.x or IE 8.x or IE 9.x (See footnote)
Windows 2003 (R2, SP1, SP2) Windows XP & Classic Desktop 64-bit OS, 32-bit Browsers:
Internet Explorer 6 SP1+ and later, Firefox 3.x and above,
Mozilla 1.4.X or 1.7,
Netscape 7.x
64-bit OS, 64-bit Browsers:

IE 7.x or IE 8.x (See footnote)
Linux 32-bit
Linux
x86
Oracle Linux 6.x Gnome 2.28.0-11.el6 - Metacity 2.28.0-20.el6 Firefox 3.x and above (see footnote) 32-bit Install 32-bit Install
Oracle Linux 5.6+ Gnome 2.16.0-6.el5 - Metacity 2.16.0-12.el5 Firefox 3.x and above (see footnote)
Oracle Enterprise Linux 5.4, 5.5 Gnome 2.16.0-6.el5 - Metacity 2.16.0-12.el5 Firefox 3.x and above (see footnote)
Oracle Enterprise Linux 4.8 Gnome 2.7.3 - Metacity 2.6.2 Firefox 3.x and above (see footnote)
Ubuntu 12.04 Desktop Edition   Firefox 3.6 and above
Ubuntu 8.04 LTS Desktop Edition Gnome 2.22.3 Firefox 3.0.9
Red Hat Enterprise Linux 6.x Gnome 2.28.0-11.el6 - Metacity 2.28.0-20.el6 Firefox 3.x and above(see footnote)
Red Hat Enterprise Linux 5.6+ Gnome 2.16.0-6.el5 - Metacity 2.16.0-12.el5 Firefox 3.x and above (see footnote)
Red Hat Enterprise Linux 5.3, 5.4, 5.5 Gnome 2.16.0-6.el5 - Metacity 2.16.0-12.el5 Firefox 3.x and above (see footnote)
Red Hat Enterprise Linux 5.0, 5.1, 5.2 Gnome 2.16.0-6.el5 - Metacity 2.16.0-12.el5 Firefox 3.x and above (see footnote)
Red Hat Enterprise Linux AS/ES 4.0 (4.1 - 4.8) Gnome 2.8.0-metacity 2.6.2 Firefox 2.0.x
Mozilla 1.4
Mozilla 1.7
Red Hat Enterprise Linux AS/ES 3.0 Gnome 2.2.2-metacity 2.6.2 Mozilla 1.4
Red Hat Enterprise Linux WS/ES/AS 2.1 Gnome 1.4-sawfish 1.0
SUSE 10 Gnome 2.12.0.1-2 - Metacity 2.12.0-3 Firefox 2.0.x
SUSE 9.2 Gnome 2.6.1-metacity 2.6.2 Mozilla 1.4
SUSE 8.2, 9, 9.1 Gnome 2.2-metacity 2.6.2
SUSE 8 Gnome 2.0-metacity 2.6.2
SLES 11 GNOME 2.24.1-2.28 - Metacity is 2.24.0-3 Firefox 3.0.6 or 3.0.8
SLES 10 Gnome 2.12.0.1-26.6 - Metacity 2.12.3-0.15 Firefox 2.0.x
SLES 9 Gnome 2.4.0-metacity 2.6.2 Mozilla 1.4
SLES 8 Gnome 2.0.5-metacity 2.6.2
Turbo Linux 10
(ONLY Chinese and Japanese Locales. No English.)
Gnome-sawfish 1.0 Mozilla 1.4
Linux 64-bit
5Linux
x64
Oracle Linux 7.x Gnome 2.28.0-11.el6 - Metacity 2.28.0-20.el6 N/A 64-bit Install
(no Java Plug-In, Java Web Start support)
64-bit Install
Oracle Linux 6.x Gnome 2.28.0-11.el6 - Metacity 2.28.0-20.el6
Oracle Linux 5.6+ Gnome 2.16.0-6.el5 - Metacity 2.16.0-12.el5 64-bit OS, 32-bit Browsers:
Firefox 3.x and above (see footnote)
32/64-bit Install,
(no Java Plug-in,
Java Web Start
support)
32/64-bit Install
Oracle Enterprise Linux 5.4, 5.5 Gnome 2.16.0-6.el5 - Metacity 2.16.0-12.el5 64-bit OS, 32-bit Browsers:
Firefox 3.x and above (see footnote)
Oracle Enterprise Linux 4.8 Gnome 2.7.3 - Metacity 2.6.2 64-bit OS, 32-bit Browsers:
Firefox 3.x and above (see footnote)
Ubuntu 12.04 Desktop Edition   Firefox 3.6 and above 32/64-bit Install 32/64-bit Install
Red Hat Enterprise Linux 7.x Gnome 2.28.0-11.el6 - Metacity 2.28.0-20.el6 N/A 64-bit Install
(no Java Plug-In, Java Web Start support)
64-bit Install
Red Hat Enterprise Linux 6.x Gnome 2.28.0-11.el6 - Metacity 2.28.0-20.el6
Red Hat Enterprise Linux 5.6+ Gnome 2.16.0-6.el5 - Metacity 2.16.0-12.el5 64-bit OS, 32-bit Browsers:
Firefox 3.x and above(see footnote)
32/64-bit Install,
(no Java Plug-in,
Java Web Start
support)
32/64-bit Install
Red Hat Enterprise Linux 5.3, 5.4, 5.5 Gnome 2.16.0-6.el5 - Metacity 2.16.0-12.el5 64-bit OS, 32-bit Browsers:
Firefox 3.x and above(see footnote)
Red Hat Enterprise Linux 5.0 (5.1, 5.2) Gnome 2.16.0-6.el5 - Metacity 2.16.0-12.el5 64-bit OS, 32-bit Browsers:
Firefox 3.x and above (see footnote)
Red Hat Enterprise Linux AS/ES 4.0 (4.1 - 4.8) Gnome 2.8.0-metacity 2.6.2 64-bit OS, 32-bit Browsers:
Firefox 2.0.x,
Mozilla 1.4,
Mozilla 1.7
Red Hat Enterprise Linux AS/ES 3.0 Gnome 2.2.2-metacity 2.6.2 64-bit OS, 32-bit Browsers:
Mozilla 1.4
SUSE 9.2 Gnome 2.6.1-metacity 2.6.2
SUSE 8.2, 9, 9.1 Gnome 2.2-metacity 2.6.2
SLES 11 GNOME 2.24.1-2.28 - Metacity is 2.24.0-3 64-bit OS, 32-bit Browsers:
Firefox 3.0.6 or 3.0.8
SLES 10 Gnome 2.12.0.1-26.6 - Metacity 2.12.3-0.15 64-bit OS, 32-bit Browsers:
Firefox 2.0.x
SLES 9 Gnome 2.4.0-metacity 2.6.2 64-bit OS, 32-bit Browsers:
Mozilla 1.4
SLES 8 Gnome 2.0.5-metacity 2.6.2

Virtualization

All the above operating systems are also certified when running as virtual guest on any of the following hypervisors as long as the operating system is supported by that hypervisor.
  • Oracle VM
  • VirtualBox 3.x, 4.x
  • Solaris Containers
  • Solaris LDOMs
  • Microsoft Hyper-V Server 2012

VMware is not a certified hypervisor.

For support for other virtualization solutions, please refer to Oracle's Support Policy Document ID249212.1

Browser Footnotes

  • Browsers listed above are certified for Java™ Plug-in software and Java™ Web Start software. See the Deployment Footnotes for more detail.
  • Certification for Firefox 7, 8, and 9 was introduced in 1.6.0_31.
  • Certification for Firefox 5 was introduced in 1.6.0_27.
  • Certification for IE 9 was introduced in 1.6.0_25.
  • Certification for Firefox 4 was introduced in 1.6.0_25.
  • Google Chrome certification was added in 1.6.0_21.
  • Firefox 3.6 certification was added in 1.6.0_18.
  • Firefox 3.5.1 certification was added in 1.6.0_16.
  • Certification for IE 8 was introduced in 1.6.0_13.
  • Certification for Netscape 4.7.x on Solaris 8 on SPARC and x86.
  • Oracle does not test Netscape 7 and 7.1.

Deployment Footnotes

  • For Java Plug-in and Java Web Start on 64-bit Solaris systems, use the 32-bit JRE.
  • For Java Plug-in and Java Web Start on 64-bit Windows systems, the 64-bit JRE is certified as of 1.6.0_12.
  • Oracle does not provide Java Plug-in and Java Web Start on 64-bit Linux systems at this time.

Other Operating System Notes

  • Oracle Linux 7 certification was introduced in 1.6.0_81.
  • Red Hat Enterprise Linux 7 certification was introduced in 1.6.0_81.
  • As of April 8, 2014 Microsoft stopped supporting Windows XP and therefore it is no longer a supported platform. See Third Party Vendor-Specific Support Terms on Oracle Software Technical Support Policies for details.
  • Windows Server 2012 R2 (64 bit) certification was introduced in 1.6.0_71.
  • Windows Server 2012 (64 bit) certification was introduced in 1.6.0_43.
  • Windows 8 certification was introduced in 1.6.0_37
  • Solaris 11 certification was introduced in 1.6.0_30.
  • Red Hat Enterprise Linux 6 certification was introduced in 1.6.0_27.
  • Solaris 11 Express 2010.11 certification was introduced in 1.6.0_25.
  • Oracle Linux 5.6 certification was introduced in 1.6.0_27.
  • Oracle Linux 6 certification was introduced in 1.6.0_25.
  • Oracle Enterprise Linux 5.5 certification was introduced in 1.6.0_21.
  • Oracle Enterprise Linux 5.4 certification was introduced in 1.6.0_21.
  • Oracle Enterprise Linux 4.8 certification was introduced in 1.6.0_21.
  • Ubuntu 8.04 LTS Desktop Edition certification (x86) in 32-bit was introduced in 1.6.0_18.
  • Red Hat Enterprise Linux 5.6 certification was introduced in 1.6.0_25.
  • Red Hat Enterprise Linux 5.5 certification was introduced in 1.6.0_21.
  • Red Hat Enterprise Linux 5.4 certification was introduced in JFB 1.6.0_17 and Java SE 1.6.0_21.
  • Red Hat Enterprise Linux 5.3 certification was introduced in JFB 1.6.0_16 and Java SE 1.6.0_18.
  • SLES 11 certification was introduced in JFB 6u16-rev-b06 and Java SE 1.6.0_18.
  • Windows 7 certification was introduced in 1.6.0_14.
  • Windows Server 2008 R2 certification was introduced in JFB 1.6.0_16 and Java SE 1.6.0_23.
  • Windows Server 2008 certification was introduced in 1.6.0_12.
  • IA32 = Intel Architecture 32-bit
  • x64 processor terminology varies. x64 in the above table could be termed Intel 64, x86-64, AMD 64, EM64T or x64.
  • OpenSolaris 2009.06 certification was introduced in 1.6.0_13.
  • OpenSolaris 2008.11 certification was introduced in 1.6.0_11.
  • For Itanium processors, refer to Java SE Update Release Notes for Itanium .
  • Java SE 6 is not certified for Windows 98 or Windows ME.
  • OpenSolaris 2008.05 is certified on JDK 6u6p (headless mode only).
  • Red Hat Enterprise Linux 5 certification was introduced in 1.6.0_04.

Windows Vista Footnotes